Skip Menu |
 

This queue is for tickets about the Wx CPAN distribution.

Report information
The Basics
Id: 115103
Status: open
Priority: 0/
Queue: Wx

People
Owner: Nobody in particular
Requestors: gregoa [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



From: gregoa [...] cpan.org
Subject: libwx-perl: Unescaped left brace in regex is deprecated
Download (untitled) / with headers
text/plain 1.1k
We have the following bug reported to the Debian package of Wx (https://bugs.debian.org/826463): It doesn't seem to be a bug in the packaging, so you may want to take a look. Thanks! ------8<-----------8<-----------8<-----------8<-----------8<----- Package: libwx-perl Version: 1:0.9923-4 Severity: normal User: debian-perl@lists.debian.org Usertags: perl-5.24-transition Building this package triggers deprecation warnings with Perl 5.24 (currently in experimental), and probably with Perl 5.22 (current sid) too. Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^\s*\%include{ <-- HERE ([^}]+)}\s*;\s*$/ at /<<PKGBUILDDIR>>/build/Wx/build/Utils.pm line 110. The offending file is installed in a binary package, so this generates runtime warnings too, affecting at least the libwx-glcanvas-perl package build. A full build log is available at http://perl.debian.net/rebuild-logs/perl-5.24/libwx-perl_0.9923-4/ -- Niko Tyni ntyni@debian.org ------8<-----------8<-----------8<-----------8<-----------8<----- Thanks for considering, gregor herrmann, Debian Perl Group
Download (untitled) / with headers
text/plain 1.1k
On 2016-06-05 13:47:15, GREGOA wrote: Show quoted text
> We have the following bug reported to the Debian package of Wx > (https://bugs.debian.org/826463): > > It doesn't seem to be a bug in the packaging, so you may want to take > a look. Thanks! > > ------8<-----------8<-----------8<-----------8<-----------8<----- > > Package: libwx-perl > Version: 1:0.9923-4 > Severity: normal > User: debian-perl@lists.debian.org > Usertags: perl-5.24-transition > > Building this package triggers deprecation warnings with Perl 5.24 > (currently in experimental), and probably with Perl 5.22 (current sid) > too. > > Unescaped left brace in regex is deprecated, passed through in regex; > marked by <-- HERE in m/^\s*\%include{ <-- HERE ([^}]+)}\s*;\s*$/ at > /<<PKGBUILDDIR>>/build/Wx/build/Utils.pm line 110. > > The offending file is installed in a binary package, so this generates > runtime warnings too, affecting at least the libwx-glcanvas-perl > package > build. > > A full build log is available at > http://perl.debian.net/rebuild-logs/perl-5.24/libwx-perl_0.9923-4/
This is a duplicate of https://rt.cpan.org/Ticket/Display.html?id=114552
Subject: Re: [rt.cpan.org #115103] libwx-perl: Unescaped left brace in regex is deprecated
Date: Thu, 9 Jun 2016 01:13:01 +0200
To: Slaven_Rezic via RT <bug-Wx [...] rt.cpan.org>
From: gregor herrmann <gregoa [...] debian.org>
Download (untitled) / with headers
text/plain 760b
On Wed, 08 Jun 2016 17:02:38 -0400, Slaven_Rezic via RT wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=115103 > >
> > Unescaped left brace in regex is deprecated, passed through in regex; > > marked by <-- HERE in m/^\s*\%include{ <-- HERE ([^}]+)}\s*;\s*$/ at > > /<<PKGBUILDDIR>>/build/Wx/build/Utils.pm line 110.
Show quoted text
Sorry for that, I thought I had checked before but I seem to have missed this one :/ Cheers, gregor -- .''`. Homepage https://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06 : :' : Debian GNU/Linux user, admin, and developer - https://www.debian.org/ `. `' Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe `-
Download signature.asc
application/pgp-signature 949b

Message body not shown because it is not plain text.



This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.